package org.fouram.service;

import org.fouram.core.base.service.BaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class SyncUploadService extends BaseService {

	@Autowired
	private SapBankService bankService;
	@Autowired
	private SapEmpJobService empJobService;
	@Autowired
	private SapContractService contractService;
	@Autowired
	private SapPerPersonalService personalService; 
	@Autowired
	private SapPerGlobalInfoCHNService globalInfoCHNService;
	@Autowired
	private SapPerPersonRelationshipService relationshipService;

	public void sync() throws Exception {
		// 社保所在地
		globalInfoCHNService.saveSapData();
		// 工作地点
		empJobService.saveSapData();
		// 银行信息
		bankService.saveSapData();
		// 合同信息
		contractService.saveSapData();
		// 家属信息
		relationshipService.saveSapData();
		// 个人信息
		personalService.saveSapData();
	}
}
